Package org.jbpm.services.task.commands

## Class TaskSummaryQueryCommand

- java.lang.Object
- - org.jbpm.services.task.commands.TaskCommand<List<org.kie.api.task.model.TaskSummary>>
  - - org.jbpm.services.task.commands.TaskSummaryQueryCommand

- All Implemented Interfaces:
    `Serializable`, `org.kie.api.command.Command<List<org.kie.api.task.model.TaskSummary>>`, `org.kie.api.command.ExecutableCommand<List<org.kie.api.task.model.TaskSummary>>`

      public class TaskSummaryQueryCommand
      extends TaskCommand<List<org.kie.api.task.model.TaskSummary>>

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.services.task.commands.TaskCommand

      `groupIds, targetEntityId, taskId, userId`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TaskSummaryQueryCommand()` |
    `TaskSummaryQueryCommand​(org.jbpm.query.jpa.data.QueryWhere queryWhere)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<org.kie.api.task.model.TaskSummary>` | `execute​(org.kie.api.runtime.Context cntxt)` |
    `org.jbpm.query.jpa.data.QueryWhere` | `getQueryWhere()` |
    `void` | `setQueryWhere​(org.jbpm.query.jpa.data.QueryWhere queryWhere)` |

    - ### Methods inherited from class org.jbpm.services.task.commands.TaskCommand

      `getGroupsIds, getTargetEntityId, getTaskId, getUserId, setGroupsIds, setTargetEntityId, setTaskId, setUserId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TaskSummaryQueryCommand

          public TaskSummaryQueryCommand()

    - #### TaskSummaryQueryCommand

          public TaskSummaryQueryCommand​(org.jbpm.query.jpa.data.QueryWhere queryWhere)

  - ### Method Detail

    - #### getQueryWhere

          public org.jbpm.query.jpa.data.QueryWhere getQueryWhere()

    - #### setQueryWhere

          public void setQueryWhere​(org.jbpm.query.jpa.data.QueryWhere queryWhere)

    - #### execute

          public List<org.kie.api.task.model.TaskSummary> execute​(org.kie.api.runtime.Context cntxt)